PHPExcel_HashTable

category | PHPExcel
package | PHPExcel
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_HashTable

    __construct(\PHPExcel_IComparable[] $pSource)

### Parameters

#### $pSource

`\PHPExcel_IComparable[]`

Optional source array to create HashTable from

### Exceptions

`\PHPExcel_Exception` |

## Add HashTable item

    add(\PHPExcel_IComparable $pSource)

### Parameters

#### $pSource

`\PHPExcel_IComparable`

Item to add

### Exceptions

`\PHPExcel_Exception` |

## Add HashTable items from source

    addFromSource(\PHPExcel_IComparable[] $pSource)

### Parameters

#### $pSource

`\PHPExcel_IComparable[]`

Source array to create HashTable from

### Exceptions

`\PHPExcel_Exception` |

## Clear HashTable

    clear()

## Count

    count() : int

### Returns

`int`

## Get by hashcode

    getByHashCode(string $pHashCode) : \PHPExcel_IComparable

### Parameters

#### $pHashCode

`string`

### Returns

`\PHPExcel_IComparable`

## Get by index

    getByIndex(int $pIndex) : \PHPExcel_IComparable

### Parameters

#### $pIndex

`int`

### Returns

`\PHPExcel_IComparable`

## Get index for hash code

    getIndexForHashCode(string $pHashCode) : int

### Parameters

#### $pHashCode

`string`

### Returns

`int`Index

## Remove HashTable item

    remove(\PHPExcel_IComparable $pSource)

### Parameters

#### $pSource

`\PHPExcel_IComparable`

Item to remove

### Exceptions

`\PHPExcel_Exception` |

## HashTable to array

    toArray() : \PHPExcel_IComparable[]

### Returns

`\PHPExcel_IComparable[]`

### Properties

##

    $_items : array

##

    $_keyMap : array